Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.siemens.icm.io
Interface BearerControlListener

public interface BearerControlListener

The BearerControlListener interface defines the capabilities for receiving bearer (e.g. GPRS/EDGE or CSD) state information. When the user wants to receive these state events, an implementation class for the BearerControlListener interface must be created first.
The StateChanged method of this class must contain the processing code for different bearer states. This code shall leave the listener context as soon as possible (i.e. running a new thread). While the callback method does not return it cannot be called again if changes occur.
After creating an instance of the BearerControlListener class, this class instance has to be passed as a parameter to the BearerControl.addListener method. After that, the callback methods will be called by the runtime system each time the state changes occur.

See Also:
  `BearerControl`

Field Summary
`static int` | `BEARER_STATE_CLOSING` The bearer is being closed
`static int` | `BEARER_STATE_CONNECTING` The bearer is being connected
`static int` | `BEARER_STATE_DOWN` The bearer is down.
`static int` | `BEARER_STATE_LIMITED_UP` The bearer is up but currently no network coverage.
`static int` | `BEARER_STATE_UP` The bearer is up.

Method Summary
`void` | `stateChanged(int state)` Callback method for bearer state changes.

Field Detail

### BEARER_STATE_DOWN

    public static final int BEARER_STATE_DOWN

  The bearer is down. That indicates in the GPRS case a deactivated context as result of a network idle timeout or BearerControl.hangUp() as well as a detach from the network as result of a at+cgatt=0.

  See Also:
    Constant Field Values

### BEARER_STATE_CONNECTING

    public static final int BEARER_STATE_CONNECTING

  The bearer is being connected

  See Also:
    Constant Field Values

### BEARER_STATE_UP

    public static final int BEARER_STATE_UP

  The bearer is up. Data can be transfered.

  See Also:
    Constant Field Values

### BEARER_STATE_CLOSING

    public static final int BEARER_STATE_CLOSING

  The bearer is being closed

  See Also:
    Constant Field Values

### BEARER_STATE_LIMITED_UP

    public static final int BEARER_STATE_LIMITED_UP

  The bearer is up but currently no network coverage. This is only for GPRS

  See Also:
    Constant Field Values

Method Detail

### stateChanged

    public void stateChanged(int state)

  Callback method for bearer state changes. Any integer value returned by this callback different then the ones specified above should to be treated as unknown state.

  See Also:
    `BearerControl`, `BearerControl.addListener(com.siemens.icm.io.BearerControlListener)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 2.0 of IM Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.